﻿namespace Netina.Domain.Dtos.SmallDtos;

public class ProductCategorySDto : BaseDto<ProductCategorySDto , ProductCategory>
{
    public string Name { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public string Slug { get; internal set; } = string.Empty;
    public bool IsMain { get; set; }
    public Guid ParentId { get; set; }
    public string ParentName { get; set; } = string.Empty;
    public string MainImage { get; set; } = string.Empty;

    public List<ProductCategorySDto> Children { get; set; } = new();

    public int Index { get; set; }
    public bool IsSelected { get; set; }
    public bool AddNewCatVisibility { get; set; }
}