﻿namespace Netina.Domain.Dtos.RequestDtos.SeedDtos;

public class SeedBlogRequestDto
{
    public string Title { get; set; } = string.Empty;
    public string Content { get; set; } = string.Empty;
    public string Tags { get; set; } = string.Empty;
    public int ReadingTime { get; set; }
    public string Summery { get; set; } = string.Empty;
    public bool IsSuggested { get; set; }
    public Guid CategoryId { get; set; }
    public string Slug { get; set; } = string.Empty;
    public List<StorageFileSDto> Files { get; set; } = new();
}

public class SeedBlogCategoryRequestDto
{
    public int BaseCategoryId { get; set; }
    public string Description { get; set; } = string.Empty;
    public string Slug { get; set; } = string.Empty;
    public string Name { get; set; } = string.Empty;
}